Bug 1465989 - "Error: source_type" when trying to create a Loadbalancer
"Error: source_type" when trying to create a Loadbalancer
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon (Show other bugs)
10.0 (Newton)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Radomir Dopieralski
Ido Ovadia
: Reopened
Depends On:
Blocks: 1473617
  Show dependency treegraph
 
Reported: 2017-06-28 11:52 EDT by Siggy Sigwald
Modified: 2017-07-21 06:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1473617 (view as bug list)
Environment:
Last Closed: 2017-07-12 10:48:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Launch Load Balancer Button snapshot (23.83 KB, image/png)
2017-07-07 13:18 EDT, Irina Petrova
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1629258 None None None 2017-06-28 11:52 EDT

  None (edit)
Description Siggy Sigwald 2017-06-28 11:52:20 EDT
Description of problem:
From customer problem description:
I have created three instances called brie, camembert and cheddar. (screenshot 1).

I try to create a Load balancer called "cheese", by using the "Réseau (Network) > Load Balancer v2" menu  Please note that I am translating from french, I do not know if the wording is exactly the same in the english version of horizon.  I choose "Launch Load Balancer". 

I choose "cheese" as "Nom (Name)", "Round Robin" as "Méthode de répartition de charge (Load balancing policy)", TCP as "LB Protocol", 22 as Instance Port and 22 as LB Port (screenshot 2). 

On the Moniteur (Monitor) tab, I choose "PING" as Moniteur, 5 as "Health Check Interval", 3 as "Retry Count before markdown", and "test" for both "Send String" and "Receive String". '(Screenshot 3) 

On the Instances tab, I choose my three instances ("cheddar", "camembert" and "brie") (Screenshot 4), and I clicked on "Démarrer (Start)".  

I then get the following error "Erreur source_type" "Erreur Impossible de démarrer loadbalancer instance(s) nommée(s) "cheese"", which translates as "Error : impossible to start instances loadbalancer named "cheese""). 

The same error also apperas in the log of our first controller (ycrta00); in /var/log/horizon/horizon.log as : 

"2017-06-28 13:33:18,700 491719 WARNING horizon.exceptions Recoverable error: 'source_type'".

This seems related to https://bugs.launchpad.net/neutron-lbaas-dashboard/+bug/1629258
Comment 1 Beth Elwell 2017-06-29 11:39:53 EDT
This is related to a plugin that we don't support (Neutron LBaaS Dashboard).
Comment 2 Irina Petrova 2017-07-07 13:16:37 EDT
(In reply to Beth Elwell from comment #1)
> This is related to a plugin that we don't support (Neutron LBaaS Dashboard).

How about we remove it from the Dashboard then? :)

Currently it's only confusing people.
Comment 3 Irina Petrova 2017-07-07 13:18 EDT
Created attachment 1295359 [details]
Launch Load Balancer Button snapshot
Comment 5 Beth Elwell 2017-07-12 10:48:33 EDT
Hi Irina,

Let's leave this one as closed. If you could open a new bz for that issue that would be great and then we can look into how we will address that.

Thanks
Beth

Note You need to log in before you can comment on or make changes to this bug.